Package com.logicaldoc.core

# Class SqlRowSetWrapper

java.lang.Object
com.logicaldoc.core.SqlRowSetWrapper

All Implemented Interfaces:
  `Serializable`, `org.springframework.jdbc.support.rowset.SqlRowSet`

public class SqlRowSetWrapper extends Object implements org.springframework.jdbc.support.rowset.SqlRowSet
Wrapper for the default SqlRowSet able to hanle modern Jdbc drivers

Since:
  8.8.2
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SqlRowSetWrapper(org.springframework.jdbc.support.rowset.SqlRowSet rowSet)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`absolute(int row)`
`void`
`afterLast()`
`void`
`beforeFirst()`
`int`
`findColumn(String columnLabel)`
`boolean`
`first()`
`BigDecimal`
`getBigDecimal(int arg0)`
`BigDecimal`
`getBigDecimal(String arg0)`
`boolean`
`getBoolean(int columnIndex)`
`boolean`
`getBoolean(String columnLabel)`
`byte`
`getByte(int columnIndex)`
`byte`
`getByte(String columnLabel)`
`Date`
`getDate(int arg0)`
`Date`
`getDate(int arg0, Calendar arg1)`
`Date`
`getDate(String arg0)`
`Date`
`getDate(String arg0, Calendar arg1)`
`double`
`getDouble(int columnIndex)`
`double`
`getDouble(String columnLabel)`
`float`
`getFloat(int columnIndex)`
`float`
`getFloat(String columnLabel)`
`int`
`getInt(int columnIndex)`
`int`
`getInt(String columnLabel)`
`long`
`getLong(int columnIndex)`
`long`
`getLong(String columnLabel)`
`org.springframework.jdbc.support.rowset.SqlRowSetMetaData`
`getMetaData()`
`String`
`getNString(int arg0)`
`String`
`getNString(String arg0)`
`Object`
`getObject(int arg0)`
`<T> T`
`getObject(int arg0, Class<T> arg1)`
`Object`
`getObject(int arg0, Map<String,Class<?>> arg1)`
`Object`
`getObject(String arg0)`
`<T> T`
`getObject(String arg0, Class<T> arg1)`
`Object`
`getObject(String arg0, Map<String,Class<?>> arg1)`
`int`
`getRow()`
`short`
`getShort(int columnIndex)`
`short`
`getShort(String columnLabel)`
`String`
`getString(int arg0)`
`String`
`getString(String arg0)`
`Time`
`getTime(int arg0)`
`Time`
`getTime(int arg0, Calendar arg1)`
`Time`
`getTime(String arg0)`
`Time`
`getTime(String arg0, Calendar arg1)`
`Timestamp`
`getTimestamp(int arg0)`
`Timestamp`
`getTimestamp(int arg0, Calendar arg1)`
`Timestamp`
`getTimestamp(String arg0)`
`Timestamp`
`getTimestamp(String arg0, Calendar arg1)`
`boolean`
`isAfterLast()`
`boolean`
`isBeforeFirst()`
`boolean`
`isFirst()`
`boolean`
`isLast()`
`boolean`
`last()`
`boolean`
`next()`
`boolean`
`previous()`
`boolean`
`relative(int rows)`
`boolean`
`wasNull()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SqlRowSetWrapper

public SqlRowSetWrapper(org.springframework.jdbc.support.rowset.SqlRowSet rowSet)

## Method Details

### absolute

public boolean absolute(int row) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `absolute` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### afterLast

public void afterLast() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `afterLast` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### beforeFirst

public void beforeFirst() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `beforeFirst` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### findColumn

public int findColumn(String columnLabel) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `findColumn` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### first

public boolean first() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `first` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getBigDecimal

public BigDecimal getBigDecimal(int arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getBigDecimal` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getBigDecimal

public BigDecimal getBigDecimal(String arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getBigDecimal` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getBoolean

public boolean getBoolean(int columnIndex) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getBoolean` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getBoolean

public boolean getBoolean(String columnLabel) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getBoolean` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getByte

public byte getByte(int columnIndex) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getByte` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getByte

public byte getByte(String columnLabel) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getByte` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getDate

public Date getDate(int arg0, Calendar arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getDate` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getDate

public Date getDate(int arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getDate` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getDate

public Date getDate(String arg0, Calendar arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getDate` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getDate

public Date getDate(String arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getDate` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getDouble

public double getDouble(int columnIndex) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getDouble` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getDouble

public double getDouble(String columnLabel) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getDouble` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getFloat

public float getFloat(int columnIndex) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getFloat` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getFloat

public float getFloat(String columnLabel) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getFloat` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getInt

public int getInt(int columnIndex) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getInt` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getInt

public int getInt(String columnLabel) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getInt` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getLong

public long getLong(int columnIndex) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getLong` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getLong

public long getLong(String columnLabel) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getLong` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getMetaData

public org.springframework.jdbc.support.rowset.SqlRowSetMetaData getMetaData()

Specified by:
  `getMetaData` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`

### getNString

public String getNString(int arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getNString` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getNString

public String getNString(String arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getNString` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getObject

public <T> T getObject(int arg0, Class<T> arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getObject` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getObject

public Object getObject(int arg0, Map<String,Class<?>> arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getObject` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getObject

public Object getObject(int arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getObject` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getObject

public <T> T getObject(String arg0, Class<T> arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getObject` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getObject

public Object getObject(String arg0, Map<String,Class<?>> arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getObject` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getObject

public Object getObject(String arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getObject` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getRow

public int getRow() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getRow` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getShort

public short getShort(int columnIndex) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getShort` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getShort

public short getShort(String columnLabel) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getShort` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getString

public String getString(int arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getString` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getString

public String getString(String arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getString` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getTime

public Time getTime(int arg0, Calendar arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getTime` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getTime

public Time getTime(int arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getTime` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getTime

public Time getTime(String arg0, Calendar arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getTime` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getTime

public Time getTime(String arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getTime` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getTimestamp

public Timestamp getTimestamp(int arg0, Calendar arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getTimestamp` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getTimestamp

public Timestamp getTimestamp(int arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getTimestamp` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getTimestamp

public Timestamp getTimestamp(String arg0, Calendar arg1) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getTimestamp` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### getTimestamp

public Timestamp getTimestamp(String arg0) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `getTimestamp` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### isAfterLast

public boolean isAfterLast() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `isAfterLast` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### isBeforeFirst

public boolean isBeforeFirst() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `isBeforeFirst` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### isFirst

public boolean isFirst() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `isFirst` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### isLast

public boolean isLast() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `isLast` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### last

public boolean last() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `last` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### next

public boolean next() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `next` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### previous

public boolean previous() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `previous` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### relative

public boolean relative(int rows) throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `relative` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`

### wasNull

public boolean wasNull() throws org.springframework.jdbc.InvalidResultSetAccessException

Specified by:
  `wasNull` in interface `org.springframework.jdbc.support.rowset.SqlRowSet`
Throws:
  `org.springframework.jdbc.InvalidResultSetAccessException`